Debian Bug report logs - #597415
heroes-common: install-info installed leads to /usr/share/info/dir.gz in built package

version graph

Package: heroes-common; Maintainer for heroes-common is Debian QA Group <packages@qa.debian.org>; Source for heroes-common is src:heroes.

Reported by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

Date: Sun, 19 Sep 2010 13:54:01 UTC

Severity: normal

Tags: jessie, sid, squeeze, wheezy

Found in version heroes/0.21-8.1

Fixed in version heroes/0.21-9

Done: Stephen Kitt <skitt@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-superh@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#597415; Package heroes-common. (Sun, 19 Sep 2010 13:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
New Bug report received and forwarded. Copy sent to debian-superh@lists.debian.org, Daniel Burrows <dburrows@debian.org>. (Sun, 19 Sep 2010 13:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: submit@bugs.debian.org
Subject: heroes-common: install-info installed leads to /usr/share/info/dir.gz in built package
Date: Sun, 19 Sep 2010 15:51:33 +0200
Package: heroes-common
Version: 0.21-8.1
Severity: normal
Tags: squeeze, sid
User: debian-powerpcspe@breakpoint.cc
Usertags: infodir

This package creates usr/share/info/dir during the build process if the
install-info package is installed. The built package will then contain
the file usr/share/info/dir.gz.

Nobody on d-devel disagreed to set the severity level to 'serious' if
packages in the archive are affected [0] and normal if they ae not. This
is the case on sh4 [1] which is not in the main archive.

[0] http://lists.debian.org/debian-devel/2010/09/msg00302.html
[1] http://packages.debian.org/sid/sh4/heroes-common/filelist

Sebastian




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:42 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:12 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Mon, 17 Mar 2014 23:21:08 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Mon, 17 Mar 2014 23:21:08 GMT) Full text and rfc822 format available.

Message #14 received at 597415-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: 597415-close@bugs.debian.org
Subject: Bug#597415: fixed in heroes 0.21-9
Date: Mon, 17 Mar 2014 23:20:05 +0000
Source: heroes
Source-Version: 0.21-9

We believe that the bug you reported is fixed in the latest version of
heroes, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597415@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <skitt@debian.org> (supplier of updated heroes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 17 Mar 2014 20:58:57 +0100
Source: heroes
Binary: heroes-common heroes-sdl
Architecture: source amd64
Version: 0.21-9
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Stephen Kitt <skitt@debian.org>
Description: 
 heroes-common - Collect powerups and avoid your opponents' trails
 heroes-sdl - Collect powerups and avoid your opponents' trails
Closes: 597415 716016
Changes: 
 heroes (0.21-9) unstable; urgency=medium
 .
   * QA upload.
   * The package is orphaned, change the maintainer to Debian QA Group.
   * Drop the build-dependency on libmikmod2-dev, the package explicitly
     configures without mikmod.
   * Fix the segfault on free when levels aren't loaded in heroeslvl
     (closes: #716016).
   * Avoid installing /usr/share/info/dir (closes: #597415).
   * Update debian/watch using Bart Martens' version.
   * Add ${misc:Depends} to heroes-sdl and heroes-common.
   * Remove dh_desktop from debian/rules.
Checksums-Sha1: 
 d22e44b313c88b2b2d7a8943d4f1b7a14c197815 1774 heroes_0.21-9.dsc
 d90763b6a4d8ecf648ec9fdd397d2be620acb8a9 165667 heroes_0.21-9.diff.gz
 a94c838c1943c614bbb8c7a1ffef94be0b4f1745 123892 heroes-sdl_0.21-9_amd64.deb
 0e07dd16127b6ff5c80a38a0631fdccc10ae4bb9 109686 heroes-common_0.21-9_amd64.deb
Checksums-Sha256: 
 9a08aef5c15e1c3d5174ca924497cc9a03e731594b4bbc20253f2481f9444e3f 1774 heroes_0.21-9.dsc
 dbbcfd272a6b5f479d4ed557a3f86cbad1be48e65a6c62080a8c53a4cab715ff 165667 heroes_0.21-9.diff.gz
 abcd52caf51eade174f0fb66d4ac41ade5411989e1ce96d1e530e2d9f6c650d3 123892 heroes-sdl_0.21-9_amd64.deb
 9ff6bb990d302b9c4d47c7f5a187aa13995d70a69b3eee4a391f4b7f50aa9d1a 109686 heroes-common_0.21-9_amd64.deb
Files: 
 9b7a095166e89f15a823c1bc1e04603d 1774 games optional heroes_0.21-9.dsc
 b5758f5f1a5fc7713d916e4cbe27fe7e 165667 games optional heroes_0.21-9.diff.gz
 9bd4a0eb66a1b1029ce444bfd64ec5b0 123892 games optional heroes-sdl_0.21-9_amd64.deb
 dac84a6c76b31816d8181d56c4e51fc3 109686 games optional heroes-common_0.21-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTJ3jpAAoJEHWXeKmja0lPP3UQAJerI7kqVuYiGu40P9xSHnN6
WLghB1YgEgKLezVo/QaHfxoq76zizJebpxKxQl5VIcxRaS0TtodRwC4ENOPpRTVf
1C1z4eVcCUlNLoZkMxSphbBSqvr9Pca6o05w0cO53p4qK5NSTExFfPOnvtqGDOpC
XP92HsK0zvyV3l4VkIYRmPkmJj+iJBGUwf7xcxw/dRdAwbs5v9NEhUd4dSHt2Umg
r56O0KF/tZu+9A5qdQQtMHz26k5QoUqiSG9Grog2Qojur1MNfOS0AJRjstkKSMAY
nB2D8qX7V/zPrB5zBTexi/8kGwuBfZ/OzxW1T3ngaVlDvCDVpREPa98CKYizY9z7
9WI2hNmEwVMHU/1lcmuwftT1tykVFLDBIEtzzCsKEW1UjQvkyT2DLXhHwy2GZ5MN
4rZ2eDT0E6sdXD+P7/BmPwTemH6SlB6sWsBc64wqcfiFYZC5VwPVn13U5+PaDrnx
F4ye0tCYBnoAgSyHi6AhrYzYoClYHCtVkIkZF1mprPnu/oqm2ww40h22Y5DIW7rm
7Zw8+N6LETMbhRKzsTVv2QyQ78UVSAjUEkzeoWSA5Z9ra0Nlnp1GnzU+N+NOeQsg
u1GyFWRFs1Jpt5RIsSjBcAaT8EeAFN8fGFl7eButNbOn6HCwRML12Fm7JFmxmWlX
rS0f2zz8tKRK8LTpoZxs
=NyjT
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:31:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.